precision highp float;

varying vec2 v_TexCoord;

uniform sampler2D inputTexture0;
uniform sampler2D inputTexture1;

void main()
{
    vec2 coord = v_TexCoord.xy*3.;
    vec2 fract_coord = fract(coord);
    if (coord.x >= 1.0 && coord.x <= 2.0 && coord.y >= 1.0 && coord.y <= 2.0) {
        gl_FragColor = texture2D(inputTexture0, vec2(fract_coord.x, fract_coord.y));
    } else {
        if (coord.x >= 1.0 && coord.x <= 2.0) {
            gl_FragColor = texture2D(inputTexture0, vec2(fract_coord.x, 1.0 -fract_coord.y));
        }
        else if (coord.y >= 1.0 && coord.y <= 2.0) {
            gl_FragColor = texture2D(inputTexture0, vec2(1.0 -fract_coord.x, fract_coord.y));
        }
        else {
            gl_FragColor = texture2D(inputTexture0, 1.0 -vec2(fract_coord.x, fract_coord.y));
        }
    }
}